Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs
Interface Storable

All Known Subinterfaces:
  Constraint, Model, MotifDiscoverer, MutableMotifDiscoverer, NormalizableScoringFunction, ParameterValidator, ScoringFunction, VariableLengthScoringFunction

All Known Implementing Classes:
  AbstractBurnInTest, AbstractClassifier, AbstractMixtureModel, AbstractMixtureScoringFunction, AbstractModel, AbstractNormalizableScoringFunction, AbstractScoreBasedClassifier, AbstractScoreBasedClassifier.DoubleTableResult, AbstractVariableLengthScoringFunction, Alphabet, Alphabet.AlphabetParameterSet, AlphabetContainer, AlphabetContainerParameterSet, AlphabetContainerParameterSet.AlphabetArrayParameterSet, AlphabetContainerParameterSet.SectionDefinedAlphabetParameterSet, ArrayParameterSet, BayesianNetworkModel, BayesianNetworkModelParameterSet, BayesianNetworkScoringFunction, BayesianNetworkScoringFunctionParameterSet, BTExplainingAwayResidual, BTExplainingAwayResidual.BTExplainingAwayResidualParameterSet, BTMutualInformation, BTMutualInformation.BTMutualInformationParameterSet, BurnInTest, CategoricalResult, CisRegulatoryModuleAnnotation, ClassifierAssessmentAssessParameterSet, CMMScoringFunction, CollectionParameter, ComplementableDiscreteAlphabet, CompositeLogPrior, CompositeModel, ConfusionMatrix, Constraint, ConstraintValidator, ContinuousAlphabet, ContinuousAlphabet.ContinuousAlphabetParameterSet, DAGModel, DGMParameterSet, DiscreteAlphabet, DiscreteAlphabet.DiscreteAlphabetParameterSet, DiscreteGraphicalModel, DNAAlphabet, DNAAlphabet.DNAAlphabetParameterSet, DoesNothingLogPrior, DoubleList, DurationScoringFunction, EnumParameter, ExpandableParameterSet, FileParameter, FileParameter.FileRepresentation, FSDAGModel, FSDAGModelForGibbsSampling, FSDAGModelForGibbsSamplingParameterSet, FSDAGMParameterSet, GaussianLikePositionPrior, GenDisMixClassifier, GenDisMixClassifierParameterSet, HiddenMotifMixture, HiddenMotifsMixture, HMM0ScoringFunction, HMMScoringFunction, HomMMParameterSet, HomogeneousMM, HomogeneousModel, HomogeneousModel.HomCondProb, HomogeneousModelParameterSet, HomogeneousScoringFunction, IDGMParameterSet, ImageResult, IndependentProductScoringFunction, InhCondProb, InhConstraint, InhomogeneousDGM, InhomogeneousMarkov, InhomogeneousMarkov.InhomogeneousMarkovParameterSet, InstanceParameterSet, IntronAnnotation, KFoldCVAssessParameterSet, ListResult, LocatedSequenceAnnotation, LocatedSequenceAnnotationWithLength, LogPrior, MappingClassifier, MeanResultSet, Measure, MeasureParameters, MEMConstraint, MixtureDuration, MixtureModel, MixtureScoringFunction, ModelBasedClassifier, MotifAnnotation, MRFScoringFunction, MSPClassifier, MultiSelectionCollectionParameter, MutableMarkovModelScoringFunction, NormalizableScoringFunctionModel, NormalizedScoringFunction, NumberValidator, NumericalResult, NumericalResultSet, Parameter, Parameter, ParameterSet, ParameterSetContainer, PMMExplainingAwayResidual, PMMExplainingAwayResidual.PMMExplainingAwayResidualParameterSet, PMMMutualInformation, PMMMutualInformation.PMMMutualInformationParameterSet, PositionPrior, PositionScoringFunction, RangeParameter, ReferenceConstraint, RepeatedHoldOutAssessParameterSet, RepeatedSubSamplingAssessParameterSet, Result, ResultSet, Sampled_RepeatedHoldOutAssessParameterSet, SampleResult, ScoreClassifier, ScoreClassifierParameterSet, SeparateGaussianLogPrior, SeparateLaplaceLogPrior, SeparateLogPrior, SequenceAnnotation, SequenceScoringParameterSet, SharedStructureClassifier, SharedStructureMixture, SimpleBurnInTest, SimpleGaussianSumLogPrior, SimpleParameter, SimpleParameterSet, SimpleReferenceConstraint, SimpleResult, SimpleStaticConstraint, SingleHiddenMotifMixture, SinglePositionSequenceAnnotation, SkewNormalLikeScoringFunction, StorableResult, StorableValidator, StrandedLocatedSequenceAnnotationWithLength, StrandModel, StrandScoringFunction, UniformDurationScoringFunction, UniformHomogeneousScoringFunction, UniformModel, UniformPositionPrior, UniformScoringFunction, VariableLengthMixtureScoringFunction, VariableLengthWrapperModel, VarianceRatioBurnInTest

    public interface Storable

This is the root interface for all immutable objects that must be stored in e.g. a file or a database. Classes that implement this interface must provide a constructor with a single parameter of type `StringBuffer`.
The recommended way to store the objects is an XML representation, because it is human-readable and flexible enough to describe all objects properly. For convenience `XMLParser` provides methods to store all primitive data types, `String`s, `Storable`s and their array types.
For writing or reading a `StringBuffer` to or from a file you can use `FileManager`.

Author:
  Jan Grau, Jens Keilwagen
See Also:
  `XMLParser`, `FileManager`

Method Summary
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Method Detail

### toXML

    StringBuffer toXML()

  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Returns:
    the XML representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD